org.springframework.web.socket.sockjs

## Class SockJsMessageDeliveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.socket.sockjs.SockJsException
          - - org.springframework.web.socket.sockjs.SockJsMessageDeliveryException

All Implemented Interfaces:
  Serializable

    public class SockJsMessageDeliveryException
    extends SockJsException

An exception thrown when a message frame was successfully received over an HTTP POST and parsed but one or more of the messages it contained could not be delivered to the WebSocketHandler either because the handler failed or because the connection got closed.

The SockJS session is not automatically closed after this exception.

Since:
  4.0
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SockJsMessageDeliveryException(String sessionId, List<String> undeliveredMessages, String message)`
`SockJsMessageDeliveryException(String sessionId, List<String> undeliveredMessages, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getUndeliveredMessages()`

### Methods inherited from class org.springframework.web.socket.sockjs.SockJsException

`getSockJsSessionId`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SockJsMessageDeliveryException

    public SockJsMessageDeliveryException(String sessionId,
                                          List<String> undeliveredMessages,
                                          Throwable cause)

#### SockJsMessageDeliveryException

    public SockJsMessageDeliveryException(String sessionId,
                                          List<String> undeliveredMessages,
                                          String message)

### Method Detail

#### getUndeliveredMessages

    public List<String> getUndeliveredMessages()